<?php

return [

	'apc_enabled' => false, // enable for maximum performance if APCu is availalbe
	'apc_prefix' => 'laravel:', // prefix for caching config and translation in APCu
	'pcntl_max' => 4, // maximum number of parallel command line processes when starting jobs

    'min_order_sum' => 500,

	'routes' => [
		// Docs: https://aimeos.org/docs/Laravel/Custom_routes
		// Multi-sites: https://aimeos.org/docs/Laravel/Configure_multiple_shops
		// 'admin' => ['prefix' => 'admin', 'middleware' => ['web']],
		// 'jqadm' => ['prefix' => 'admin/{site}/jqadm', 'middleware' => ['web', 'auth']],
		// 'jsonadm' => ['prefix' => 'admin/{site}/jsonadm', 'middleware' => ['web', 'auth']],
		// 'jsonapi' => ['prefix' => 'jsonapi', 'middleware' => ['web', 'api']],
		// 'account' => ['prefix' => 'profile', 'middleware' => ['web', 'auth']],
		 'default' => ['prefix' => 'shop', 'middleware' => ['web']],
		// 'update' => [],
	],


	'page' => [
		// Docs: https://aimeos.org/docs/Laravel/Adapt_pages
		// Hint: catalog/filter is also available as single 'catalog/tree', 'catalog/search', 'catalog/attribute'
        'index' => ['basket/mini', 'catalog/tree', 'catalog/session'],
		'account-index' => [ 'account/profile','account/subscription','account/history','account/favorite','account/watch','basket/mini','catalog/session', 'catalog/tree' ],
		'basket-index' => [ 'basket/bulk', 'basket/standard','basket/related', 'catalog/tree' ],
		'catalog-count' => [ 'catalog/count', 'catalog/tree' ],
		'catalog-detail' => [ 'basket/mini','catalog/stage','catalog/detail','catalog/session', 'catalog/tree' ],
		'catalog-list' => [ 'basket/mini','catalog/filter','catalog/lists', 'catalog/tree' ],
		'catalog-stock' => [ 'catalog/stock', 'catalog/tree' ],
		'catalog-suggest' => [ 'catalog/suggest', 'catalog/tree' ],
		'catalog-tree' => [ 'basket/mini','catalog/filter','catalog/stage','catalog/lists', 'catalog/tree' ],
		'checkout-confirm' => [ 'checkout/confirm', 'catalog/tree' ],
		'checkout-index' => [ 'checkout/standard', 'catalog/tree' ],
		'checkout-update' => [ 'checkout/update', 'catalog/tree' ],
	],


    'resource' => [
        'cache' => [
            'redis' => [
                'scheme' => 'tcp',
                'host' => '127.0.0.1',
                'port' => 6379,
            ]
        ]
    ],

    /*
    'resource' => [
        'db' => [
            'adapter' => config('database.connections.mysql.driver', 'mysql'),
            'host' => config('database.connections.mysql.host', '127.0.0.1'),
            'port' => config('database.connections.mysql.port', '3306'),
            'socket' => config('database.connections.mysql.unix_socket', ''),
            'database' => config('database.connections.mysql.database', 'forge'),
            'username' => config('database.connections.mysql.username', 'forge'),
            'password' => config('database.connections.mysql.password', ''),
            'stmt' => ["SET SESSION sort_buffer_size=2097144; SET NAMES 'utf8mb4'; SET SESSION sql_mode='ANSI'; SET SESSION TRANSACTION ISOLATION LEVEL READ COMMITTED"],
            'limit' => 3, // maximum number of concurrent database connections
            'defaultTableOptions' => [
                    'charset' => config('database.connections.mysql.charset'),
                    'collate' => config('database.connections.mysql.collation'),
            ],
        ],
    ],
    */

	'admin' => [],
    // client/html/catalog/lists/levels
	'client' => [
		'html' => [
            'checkout' => [
                'standard' => [
                    'onepage' => ['address','delivery','payment','summary'],
                    'address' => [
                        'billing' => [
                            'optional' => [
                                'order.base.address.telephone',
                                'order.base.address.email',
                                'order.base.address.address2',
                            ],
                            'mandatory' => [
                                'order.base.address.firstname',
                                'order.base.address.lastname',
                                'order.base.address.telephone',
                                'order.base.address.address1',
                            ],
                        ],
                        'validate' => [
                            'firstname' => ''
                        ]
                    ],
                    'standard' => [
                        //'template-body' => 'checkout/standard/body-standard'
                    ]
                ],

            ],
			'basket' => [
				'cache' => [
					'enable' => true, // Disable basket content caching for development
				],
			],
			'common' => [
				'template' => [
					//'baseurl' => public_path( 'packages/aimeos/shop/themes/elegance' ),
					//'baseurl' => public_path( 'resources/views/shop' ),
				],
			],
            'catalog' => array(
                'detail' => array(
                    'standard' => array(
                        //'template-body' => 'catalog/detail/body-default',
                    ),
                ),
                'filter' => [
                    'tree' => [

                    ]
                ],
                'tree' => [
                    'decorators' => [

                    ]
                ],
                'lists' => [
                    'levels' => 3
                ]
            ),
		],
	],
    //client/html/catalog/filter/tree/levels-always
    //client/html/catalog/filter/tree/levels-only
    //client/html/common/template/baseurl
    //controller/frontend/catalog/levels-always
    //client/html/catalog/tree/decorators/excludes
	'controller' => [
        'frontend' => [
            'catalog' => [
                'levels-always' => 3
            ]
        ]
	],

	'i18n' => [
	],

	'madmin' => [
		'cache' => [
			'manager' => [
				'name' => 'redis', // Disable caching for development
			],
		],
		'log' => [
			'manager' => [
				'standard' => [
					// 'loglevel' => 7, // Enable debug logging into madmin_log table
				],
			],
		],
	],

	'mshop' => [
	],


	'command' => [
	],

	'frontend' => [
	],

	'backend' => [
	],

];
